## org.eclipse.datatools.modelbase.dbdefinition
Interface DatabaseDefinitionFactory

All Known Implementing Classes:
  DatabaseDefinitionFactoryImpl

public interface DatabaseDefinitionFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `DatabaseDefinitionPackage`

Field Summary
`static DatabaseDefinitionFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`ColumnDefinition` `createColumnDefinition()` Returns a new object of class 'Column Definition'.
`ConstraintDefinition` `createConstraintDefinition()` Returns a new object of class 'Constraint Definition'.
`DatabaseVendorDefinition` `createDatabaseVendorDefinition()` Returns a new object of class 'Database Vendor Definition'.
`DebuggerDefinition` `createDebuggerDefinition()` Returns a new object of class 'Debugger Definition'.
`ExtendedDefinition` `createExtendedDefinition()` Returns a new object of class 'Extended Definition'.
`FieldQualifierDefinition` `createFieldQualifierDefinition()` Returns a new object of class 'Field Qualifier Definition'.
`IndexDefinition` `createIndexDefinition()` Returns a new object of class 'Index Definition'.
`NicknameDefinition` `createNicknameDefinition()` Returns a new object of class 'Nickname Definition'.
`PredefinedDataTypeDefinition` `createPredefinedDataTypeDefinition()` Returns a new object of class 'Predefined Data Type Definition'.
`PrivilegeDefinition` `createPrivilegeDefinition()` Returns a new object of class 'Privilege Definition'.
`PrivilegedElementDefinition` `createPrivilegedElementDefinition()` Returns a new object of class 'Privileged Element Definition'.
`QueryDefinition` `createQueryDefinition()` Returns a new object of class 'Query Definition'.
`SchemaDefinition` `createSchemaDefinition()` Returns a new object of class 'Schema Definition'.
`SequenceDefinition` `createSequenceDefinition()` Returns a new object of class 'Sequence Definition'.
`SQLSyntaxDefinition` `createSQLSyntaxDefinition()` Returns a new object of class 'SQL Syntax Definition'.
`StoredProcedureDefinition` `createStoredProcedureDefinition()` Returns a new object of class 'Stored Procedure Definition'.
`TableDefinition` `createTableDefinition()` Returns a new object of class 'Table Definition'.
`TableSpaceDefinition` `createTableSpaceDefinition()` Returns a new object of class 'Table Space Definition'.
`TriggerDefinition` `createTriggerDefinition()` Returns a new object of class 'Trigger Definition'.
`UserDefinedTypeDefinition` `createUserDefinedTypeDefinition()` Returns a new object of class 'User Defined Type Definition'.
`ViewDefinition` `createViewDefinition()` Returns a new object of class 'View Definition'.
`DatabaseDefinitionPackage` `getDatabaseDefinitionPackage()` Returns the package supported by this factory.

Field Detail

### eINSTANCE

    public static final DatabaseDefinitionFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createDatabaseVendorDefinition

    public DatabaseVendorDefinition createDatabaseVendorDefinition()

  Returns a new object of class 'Database Vendor Definition'.

  Returns:
    a new object of class 'Database Vendor Definition'.

### createPredefinedDataTypeDefinition

    public PredefinedDataTypeDefinition createPredefinedDataTypeDefinition()

  Returns a new object of class 'Predefined Data Type Definition'.

  Returns:
    a new object of class 'Predefined Data Type Definition'.

### createTableSpaceDefinition

    public TableSpaceDefinition createTableSpaceDefinition()

  Returns a new object of class 'Table Space Definition'.

  Returns:
    a new object of class 'Table Space Definition'.

### createStoredProcedureDefinition

    public StoredProcedureDefinition createStoredProcedureDefinition()

  Returns a new object of class 'Stored Procedure Definition'.

  Returns:
    a new object of class 'Stored Procedure Definition'.

### createTriggerDefinition

    public TriggerDefinition createTriggerDefinition()

  Returns a new object of class 'Trigger Definition'.

  Returns:
    a new object of class 'Trigger Definition'.

### createColumnDefinition

    public ColumnDefinition createColumnDefinition()

  Returns a new object of class 'Column Definition'.

  Returns:
    a new object of class 'Column Definition'.

### createConstraintDefinition

    public ConstraintDefinition createConstraintDefinition()

  Returns a new object of class 'Constraint Definition'.

  Returns:
    a new object of class 'Constraint Definition'.

### createIndexDefinition

    public IndexDefinition createIndexDefinition()

  Returns a new object of class 'Index Definition'.

  Returns:
    a new object of class 'Index Definition'.

### createExtendedDefinition

    public ExtendedDefinition createExtendedDefinition()

  Returns a new object of class 'Extended Definition'.

  Returns:
    a new object of class 'Extended Definition'.

### createTableDefinition

    public TableDefinition createTableDefinition()

  Returns a new object of class 'Table Definition'.

  Returns:
    a new object of class 'Table Definition'.

### createSequenceDefinition

    public SequenceDefinition createSequenceDefinition()

  Returns a new object of class 'Sequence Definition'.

  Returns:
    a new object of class 'Sequence Definition'.

### createUserDefinedTypeDefinition

    public UserDefinedTypeDefinition createUserDefinedTypeDefinition()

  Returns a new object of class 'User Defined Type Definition'.

  Returns:
    a new object of class 'User Defined Type Definition'.

### createQueryDefinition

    public QueryDefinition createQueryDefinition()

  Returns a new object of class 'Query Definition'.

  Returns:
    a new object of class 'Query Definition'.

### createSQLSyntaxDefinition

    public SQLSyntaxDefinition createSQLSyntaxDefinition()

  Returns a new object of class 'SQL Syntax Definition'.

  Returns:
    a new object of class 'SQL Syntax Definition'.

### createNicknameDefinition

    public NicknameDefinition createNicknameDefinition()

  Returns a new object of class 'Nickname Definition'.

  Returns:
    a new object of class 'Nickname Definition'.

### createSchemaDefinition

    public SchemaDefinition createSchemaDefinition()

  Returns a new object of class 'Schema Definition'.

  Returns:
    a new object of class 'Schema Definition'.

### createViewDefinition

    public ViewDefinition createViewDefinition()

  Returns a new object of class 'View Definition'.

  Returns:
    a new object of class 'View Definition'.

### createFieldQualifierDefinition

    public FieldQualifierDefinition createFieldQualifierDefinition()

  Returns a new object of class 'Field Qualifier Definition'.

  Returns:
    a new object of class 'Field Qualifier Definition'.

### createDebuggerDefinition

    public DebuggerDefinition createDebuggerDefinition()

  Returns a new object of class 'Debugger Definition'.

  Returns:
    a new object of class 'Debugger Definition'.

### createPrivilegedElementDefinition

    public PrivilegedElementDefinition createPrivilegedElementDefinition()

  Returns a new object of class 'Privileged Element Definition'.

  Returns:
    a new object of class 'Privileged Element Definition'.

### createPrivilegeDefinition

    public PrivilegeDefinition createPrivilegeDefinition()

  Returns a new object of class 'Privilege Definition'.

  Returns:
    a new object of class 'Privilege Definition'.

### getDatabaseDefinitionPackage

    public DatabaseDefinitionPackage getDatabaseDefinitionPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.